declare namespace bdn="http://www.bdn-edition.de/ns/1.0";
declare namespace tei="http://www.tei-c.org/ns/1.0";

import module namespace xml-utils="http://bdn-edition.de/portal/xml-utils" at "xml-utils.xqm";
import module namespace bdn-odd="http://bdn-edition.de/ns/odd" at "schema.xqm";
import module namespace bdn-utils="http://bdn-edition.de/ns/utils" at "utils.xqm";
import module namespace ifweb="http://bdn-edition.de/intermediate_format/ifweb" at "/db/apps/interformat/modules/intermediate_format/ifweb.xql";
import module namespace config="https://sade.textgrid.de/ns/config" at "../config.xqm";



let $log := bdn-utils:create-log("mollenhauer2"),

(:  :$z := ifweb:single-xml("kmg-1981.xml", $config:sade-data, concat($config:single-files, "xml/")) :)

$y := doc("/db/apps/sade/resources/edition/single-files/xml/kmg-1981.xml"),

$a := xml-utils:make-html-single-view($y, "kmg-1981", $log),
$b := xml-utils:make-html-digital-view($y, "kmg-1981", $log)

return <true/>


(:  $a := xml-utils:make-html-single-view($y, "kmg-1988", $log)
$x := xml-utils:make-html-digital-view($y, "kmg-1988", $log)

xml-utils:make-html-digital-view($resource, $filename, $log),
xml-utils:make-html-single-view($resource, $filename, $log),
xml-utils:make-html-code-view($resource, $filename, $log)
:)

